#!/bin/bash
#
# Copyright (c) 2024 Alibaba Group Holding Limited
# tcprt is licensed under Mulan PSL v2.
# You can use this software according to the terms and conditions of the Mulan PSL v2.
# You may obtain a copy of Mulan PSL v2 at:
#          http://license.coscl.org.cn/MulanPSL2
# THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
# EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
# MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
# See the Mulan PSL v2 for more details.
#

cgroup_path="/run/tcprt-bpf-cgroup2"
cfg_path="/etc/tcprt/tcprt.yaml"
bpf_dir="/usr/share/tcprt"

# start tcprt
tcprt -L -g ${cgroup_path} -c ${cfg_path} -b ${bpf_dir}
